import type { AgentContext, Buffer, DidRegistrar, DidCreateOptions, DidCreateResult, DidDeactivateResult, DidUpdateResult, DidDocumentService } from '@aries-framework/core';
export declare class IndyVdrIndyDidRegistrar implements DidRegistrar {
    readonly supportedMethods: string[];
    create(agentContext: AgentContext, options: IndyVdrDidCreateOptions): Promise<DidCreateResult>;
    update(): Promise<DidUpdateResult>;
    deactivate(): Promise<DidDeactivateResult>;
    private registerPublicDid;
    private setEndpointsForDid;
}
export interface IndyVdrDidCreateOptions extends DidCreateOptions {
    method: 'indy';
    did?: string;
    didDocument?: never;
    options: {
        alias?: string;
        role?: string;
        services?: DidDocumentService[];
        useEndpointAttrib?: boolean;
        submitterDid: string;
        submitterVerkey: string;
        verkey?: string;
    };
    secret?: {
        seed?: Buffer;
        privateKey?: Buffer;
    };
}
export type IndyVdrIndyDidUpdateOptions = never;
export type IndyVdrIndyDidDeactivateOptions = never;
